{ stdenv, fetchFromGitLab, python3}:

stdenv.mkDerivation {
  name = "rank_photos";
  version = "1.0.0";
  
  src = fetchFromGitLab {
    domain = "git.dodsorf.as";
    owner = "dandellion";
    repo = "elo-rank-photos";
    rev = "7db05f656515f89e837efdc2661363c131f3a6c0";
    sha256 = "08fkv348vgivxpqrx36q7y0ax069i4ypp8ya46jnj8fnx40dzxzk";
  };

  buildInputs = [(python3.withPackages (pythonPackages: with pythonPackages; [
    matplotlib
    tkinter
    numpy
    exifread
    pillow
  ]))];

  installPhase = ''
    mkdir -p $out/bin
    cp ./rank_photos.py $out/bin/rank_photos
    chmod +x $out/bin/rank_photos
  '';
  
  meta = {
    description = "Compare and rank images by select which one is best and assigning elo ranking.";
  };

}
